﻿@model IEnumerable<SSCMvc.Models.PhotoUploadHelper>
@using SSCMvc.Webutil;
@using SSCMvc.Models;

@{
    ViewBag.Title = "PhotoUpload";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts
{
    <script type="text/javascript">
        $("#btnsubmit").click(function () {

            var prntoptn = $('input[type=radio]:checked').val();

            if (prntoptn == "Uploaded") {
                location.href = '@Url.Action("PhotoUpload", new { @prntoptn = "Uploaded" })';

            }
            else {
                location.href = '@Url.Action("PhotoUpload", new { @prntoptn = "NonUploaded" })';
            }

        });


        $("#btnprint").click(function () {

            var prntoptn = $('input[type=radio]:checked').val();

            if (prntoptn == "Uploaded") {
                var a = document.createElement('a');
                a.href = '/MaAdmission/PrintUplodedPhoto?prntoptn=Uploaded';
                a.target = '_blank';
                document.body.appendChild(a);
                a.click();
            }
            else {
                var a = document.createElement('a');
                a.href = '/MaAdmission/PrintUplodedPhoto?prntoptn=NonUploaded';
                a.target = '_blank';
                document.body.appendChild(a);
                a.click();

            }

        });


    </script>
}
<h2>
    Photo Upload</h2>
<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
        Photo Uploaded List</h1>
</div>
<ul class="breadcrumb">
    @{
        SSCWebDBEntities1 db = new SSCWebDBEntities1();
        string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
        string refadd = CommonUtil.HomeAddress(utype);
    }
    <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>
<div style="margin-top: 40px" align="center">
</div>
<div class="container-fluid">
    <div class="row-fluid">
        <div class="btn-toolbar">
            <div class="btn-group">
            </div>
        </div>
        <p class="datail_style">
            <div class="clearfix" align="center">
                <div class="well" style="width: 350px;" align="center">
                    <table style="width: 350px" align="center">
                        <tr>
                            <td style="width: 90px">
                                <label class="control-label" for="firstName">
                                    <b>Select Your Option To check Uploaded Photo </b>
                                </label>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <table>
                                    <tr>
                                        @{
                                            string value = ViewBag.check;
                                            string value2 = ViewBag.check2;
                                        }
                                        <td width="80px">
                                            @Html.RadioButton("p", "Uploaded", new { @checked = value })
                                            Uploaded
                                        </td>
                                        <td>
                                            @Html.RadioButton("p", "NonUploaded", new { @checked = value2 }) Non Uploaded
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <br />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <input type="button" value="Click" class="btn btn-primary" id="btnsubmit" />
                                        </td>
                                        <td>
                                            <input type="button" value="Print" class="btn btn-primary" id="btnprint" />
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                </div>
            </div>
            <table width="100%" align="center">
                <tr>
                    <td align="left" width="50%">
                        @*@Html.ActionLink("Create New", "Create")*@
                    </td>
                    <td align="right" width="50%">
                        Total: @ViewBag.TotalCount
                    </td>
                </tr>
            </table>
        </p>
        <div class="well">
            <table class="table">
                <thead>
                    <tr>
                        <th>
                            Roll No
                        </th>
                        <th>
                            Name
                        </th>
                        <th>
                            Group Choice
                        </th>
                        <th>
                            Group Time
                        </th>
                        <th></th>
                    </tr>
                </thead>
                <tbody>
                    @{int i = 0;
                      string bgcolor = "oddrow";

                      var _lst = Model.OrderBy(z => z.GroupTime).ThenBy(z => z.rollno).ToList();
                        int adId = 0;
                    }
                    @foreach (var item in _lst)
                    {
                        int roll = 0;
                        try
                        {
                            roll = Convert.ToInt32(item.rollno);
                        }
                        catch (Exception)
                        {

                            
                        }
                        adId = db.MaAdmissions.Where(x => x.RollNo == roll).Select(x => x.Id).FirstOrDefault();
                        if (i % 2 == 0)
                        {
                            bgcolor = "evenrow";
                        }
                        else
                        {
                            bgcolor = "oddrow";
                        }
                        i++;
                        <tr class="@bgcolor">
                            <td>
                                @item.rollno
                            </td>
                            <td align="left">
                                @item.Name
                            </td>
                            <td>
                                @item.GroupChoice
                            </td>
                            <td>
                                @item.GroupTime
                            </td>
                            <td>
                                <a href="/WebForms/TakePhoto.aspx?filenumber=@adId"  > <i class="icon-edit"></i> Upload Image </a> 
                            </td>
                        </tr>
                    }
                </tbody>
            </table>
            <!-- Lazy loading table starts here -->
            <table>
                <tr>
                    <td>
                        <div id="lazyloading" style="text-align: center; position: relative; margin-top: -30px;">
                        </div>
                    </td>
                </tr>
            </table>
            <!-- Lazy loading table ends here -->
        </div>
    </div>
</div>
